=== debian/control ===
Source: galera-4
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>
Section: database
Priority: optional
Standards-Version: 4.4.1
Rules-Requires-Root: no
Build-Depends: check,
               debhelper-compat (= 12),
               libboost-dev (>= 1.41),
               libboost-program-options-dev (>= 1.41),
               libssl-dev,
               scons (>= 2)
Homepage: http://www.galeracluster.com/
Vcs-Browser: https://salsa.debian.org/mariadb-team/galera-4
Vcs-Git: https://salsa.debian.org/mariadb-team/galera-4.git

Package: galera-4
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: galera-3,
           garbd-2,
           garbd2,
           percona-galera-3,
           percona-galera-4,
           percona-xtradb-cluster-galera,
           percona-xtradb-cluster-galera-2.x,
           percona-xtradb-cluster-galera-3.x,
           percona-xtradb-cluster-galera-4.x,
           percona-xtradb-cluster-garbd-2.x,
           percona-xtradb-cluster-garbd-3.x
Provides: galera,
          galera4,
          percona-xtradb-cluster-galera-26,
          wsrep
Breaks: galera
Replaces: galera
Description: Replication framework for transactional applications
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see https://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera library/plugin.

Package: galera-arbitrator-4
Architecture: any
Conflicts: galera-arbitrator-3,
           garbd-2,
           garbd2,
           percona-galera-arbitrator-3,
           percona-galera-arbitrator-4,
           percona-xtradb-cluster-garbd-2.x
Breaks: percona-xtradb-cluster-galera-2.x
Replaces: percona-xtradb-cluster-galera-2.x
Depends: lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Galera arbitrator daemon
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see http://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera arbitrator daemon (garbd).
