## galera-4 26.4.5

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###################################################################
 #
-# Copyright (C) 2010-2017 Codership Oy <info@codership.com>
+# Copyright (C) 2010-2020 Codership Oy <info@codership.com>
 #
 # SCons build script to build galera libraries
 #
@@ -65,16 +65,18 @@
 
 Commandline Options:
     debug=n             debug build with optimization level n
+    asan=[0|1]          disable or enable ASAN instrumentation
     build_dir=dir       build directory, default: '.'
     boost=[0|1]         disable or enable boost libraries
     system_asio=[0|1]   use system asio library, if available
     boost_pool=[0|1]    use or not use boost pool allocator
     revno=XXXX          source code revision number
     bpostatic=path      a path to static libboost_program_options.a
+    static_ssl=path     a path to static SSL libraries
     extra_sysroot=path  a path to extra development environment (Fink, Homebrew, MacPorts, MinGW)
-    version=X.X.X       galera version
     bits=[32bit|64bit]
     gcov=[True|False]   compile Galera for code coverage reporting
+    install=path        install files under path
 ''')
 # bpostatic option added on Percona request
 
@@ -114,6 +116,7 @@
 # Debug/dbug flags
 debug = ARGUMENTS.get('debug', -1)
 dbug  = ARGUMENTS.get('dbug', False)
+asan = ARGUMENTS.get('asan', 0)
 
 gcov = ARGUMENTS.get('gcov', False)
 
@@ -141,17 +144,10 @@
             if sysname == 'linux':
                 link_arch = ' -Wl,-melf_i386'
     else:
-        if machine == 'ppc64':
-          compile_arch = ' -mtune=native'
-          link_arch = ' -Wl,-melf64ppc'
-        elif machine == 'ppc64le':
-          compile_arch = ' -mtune=native'
-          link_arch = ' -Wl,-melf64lppc'
-        else:
-          compile_arch = ' -m64'
-          if sysname == 'linux':
+        compile_arch = ' -m64'
+        if sysname == 'linux':
             link_arch = ' -Wl,-melf_x86_64'
-        link_arch = compile_arch + link_arch
+    link_arch = compile_arch + link_arch
 elif machine == 's390x':
     compile_arch = ' -mzarch'
     if bits == 32:
@@ -161,20 +157,21 @@
 boost_pool = int(ARGUMENTS.get('boost_pool', 0))
 system_asio= int(ARGUMENTS.get('system_asio', 1))
 tests      = int(ARGUMENTS.get('tests', 1))
+# Run only tests which are known to be deterministic
 deterministic_tests = int(ARGUMENTS.get('deterministic_tests', 0))
+# Run all tests
+all_tests = int(ARGUMENTS.get('all_tests', 0))
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
-
-
-GALERA_VER = ARGUMENTS.get('version', '4.3')
+static_ssl = ARGUMENTS.get('static_ssl', None)
+install = ARGUMENTS.get('install', None)
+
+GALERA_VER = ARGUMENTS.get('version', '4.5')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
 if GALERA_REV == "XXXX" and os.path.isfile("GALERA_REVISION"):
-    f = open("GALERA_REVISION", "r")
-    try:
+    with open("GALERA_REVISION", "r") as f:
         GALERA_REV = f.readline().rstrip("\n")
-    finally:
-        f.close()
 
 # export to any module that might have use of those
 Export('GALERA_VER', 'GALERA_REV')
@@ -236,7 +233,7 @@
     env.Append(LIBPATH = ['/usr/local/lib'])
     env.Append(CPPPATH = ['/usr/local/include'])
 if sysname == 'sunos':
-    env.Replace(SHLINKFLAGS = '-shared ')
+   env.Replace(SHLINKFLAGS = '-shared ')
 
 # Add paths is extra_sysroot argument was specified
 extra_sysroot = ARGUMENTS.get('extra_sysroot', '')
@@ -281,9 +278,12 @@
 # static linking have beed addressed
 #
 #env.Prepend(LINKFLAGS = '-Wl,--warn-common -Wl,--fatal-warnings ')
+if int(asan):
+    env.Append(CCFLAGS = ' -fsanitize=address')
+    env.Append(LINKFLAGS = ' -fsanitize=address')
 
 if gcov:
-   env.Append(LINKFLAGS = '--coverage -g')
+    env.Append(LINKFLAGS = '--coverage -g')
 
 #
 # Check required headers and libraries (autoconf functionality)
@@ -381,10 +381,3 @@
 """
     context.Message('Checking whether to enable -Weffc++ ... ')
     cxxflags_orig = context.env['CXXFLAGS']
-    context.env.Prepend(CXXFLAGS = '-Weffc++ -Werror ')
-    result = context.TryLink(test_source, '.cpp')
-    context.env.Replace(CXXFLAGS = cxxflags_orig)
-    context.Result(result)
-    return result
-
-# advanced SSL features
