=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: check,
                debhelper-compat (= 12),
