## galera-4 26.4.6

=== debian/changelog ===
galera-4 (26.4.6-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:06:34 +0100

galera-4 (26.4.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.

  [ Otto Kekäläinen ]
  * New upstream version 26.4.6
  * Apply the test timeout multiplier on all architectures
  * Remove d/copyright references to crc32 library now removed upstream
  * Fix arm64 build failure due to crc32 issue
  * Fix i386 builds by forcing Scons to use DEB_HOST_ARCH if available

 -- Otto Kekäläinen <otto@debian.org>  Sat, 07 Nov 2020 20:26:19 +0200
