=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-# enable Debian Hardening
-# see: https://wiki.debian.org/Hardening
+# Enable Debian Hardening
+# https://wiki.debian.org/Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_BUILD_HARDENING = 1
 DPKG_EXPORT_BUILDFLAGS = 1
+# Include all defaults, including buildflags.mk
 include /usr/share/dpkg/default.mk
 
 # Use bundled asio, since system asio is too new (> 1.10.8)
@@ -27,12 +27,12 @@
 
 # Tests are run by default sometimes, so explicitly enable or disable them
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-# Bus errors on arm64 kernels prevent running testsuite when building armhf
-ifeq (armhf,$(DEB_HOST_ARCH))
-	SCONS_ARGS += tests=0 deterministic_tests=0
-else
-	SCONS_ARGS += tests=1 deterministic_tests=1
-endif
+  # Bus errors on arm64 kernels prevent running testsuite when building armhf
+  ifeq (armhf,$(DEB_HOST_ARCH))
+	  SCONS_ARGS += tests=0 deterministic_tests=0
+  else
+	  SCONS_ARGS += tests=1 deterministic_tests=1
+  endif
 else
 	SCONS_ARGS += tests=0 deterministic_tests=0
 endif
@@ -42,11 +42,9 @@
 	SCONS_ARGS += strict_build_flags=1
 endif
 
-# Some mipsel buildd's are a bit slow and fail tests if they are not
-# given enough time
-ifeq (mipsel,$(DEB_HOST_ARCH))
-        export CK_TIMEOUT_MULTIPLIER=2
-endif
+# Some builders (e.g. mipsel/Debian buildd, riscv64/Launchpad, reprotest/Salsa-CI)
+# are slow and fail tests if they are not given enough time, so always extend it
+export CK_TIMEOUT_MULTIPLIER=2
 
 override_dh_auto_build:
 	# Print build env info to help debug builds on different platforms
