## galera-4 26.4.7

=== SConstruct ===
--- 
+++ 
@@ -77,6 +77,8 @@
     bits=[32bit|64bit]
     gcov=[True|False]   compile Galera for code coverage reporting
     install=path        install files under path
+    version_script=[0|1] Use version script (default 1)
+    crc32c_no_hardware=[0|1] disable building hardware support for CRC32C
 ''')
 # bpostatic option added on Percona request
 
@@ -97,15 +99,7 @@
 build_dir    = ''
 
 # Version script file
-galera_script = File('#/galera-sym.map').abspath
-with open(galera_script, 'w') as f:
-    f.write('''{
-    global: wsrep_loader;
-            wsrep_interface_version;
-    local:  *;
-};
-''')
-
+galera_script = File('#/galera/src/galera-sym.map').abspath
 
 #
 # Read commandline options
@@ -117,7 +111,6 @@
 debug = ARGUMENTS.get('debug', -1)
 dbug  = ARGUMENTS.get('dbug', False)
 asan = ARGUMENTS.get('asan', 0)
-
 gcov = ARGUMENTS.get('gcov', False)
 
 debug_lvl = int(debug)
@@ -164,8 +157,9 @@
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
 static_ssl = ARGUMENTS.get('static_ssl', None)
 install = ARGUMENTS.get('install', None)
-
-GALERA_VER = ARGUMENTS.get('version', '4.5')
+version_script = int(ARGUMENTS.get('version_script', 1))
+
+GALERA_VER = ARGUMENTS.get('version', '4.7')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -280,6 +274,7 @@
 #env.Prepend(LINKFLAGS = '-Wl,--warn-common -Wl,--fatal-warnings ')
 if int(asan):
     env.Append(CCFLAGS = ' -fsanitize=address')
+    env.Append(CPPFLAGS = ' -DGALERA_WITH_ASAN')
     env.Append(LINKFLAGS = ' -fsanitize=address')
 
 if gcov:
@@ -379,5 +374,3 @@
 class B : public A {};
 int main() { return 0; }
 """
-    context.Message('Checking whether to enable -Weffc++ ... ')
-    cxxflags_orig = context.env['CXXFLAGS']
