=== debian/changelog ===
galera-4 (26.4.7-3) unstable; urgency=medium

  * Revised atomics patch to fix multiple FTBFS
  * Update standards-version to 4.5.1 (no changes)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 20 Feb 2021 21:26:46 +0200

galera-4 (26.4.7-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix new CMake definitions to correctly use CMAKE_OBJDUMP (Closes: #981652)

  [ Otto Kekäläinen ]
  * Backport atomics patch from upstream to fix multiple FTBFS

 -- Otto Kekäläinen <otto@debian.org>  Fri, 05 Feb 2021 12:24:44 +0200

galera-4 (26.4.7-1) unstable; urgency=medium

  * New upstream version 26.4.7
  * Remove arm64 crc32 patch that was applied upstream
  * Build with CMake instead of SCons, as now done in upstream
  * Install libgalera_smm.so the only way upstream now does it
  * Also sync all other relevant changes done in debian/ upstream

 -- Otto Kekäläinen <otto@debian.org>  Mon, 01 Feb 2021 18:27:19 +0200
