=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Otto Kekäläinen <otto@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends: check,
+               cmake (>= 2.8),
                debhelper-compat (= 12),
                libboost-dev (>= 1.41),
                libboost-program-options-dev (>= 1.41),
-               libssl-dev,
-               scons (>= 2)
-Homepage: http://www.galeracluster.com/
+               libssl-dev
+Homepage: https://www.galeracluster.com/
 Vcs-Browser: https://salsa.debian.org/mariadb-team/galera-4
 Vcs-Git: https://salsa.debian.org/mariadb-team/galera-4.git
 
@@ -22,7 +22,9 @@
          ${shlibs:Depends}
 Conflicts: galera-3,
            garbd-2,
+           garbd-3,
            garbd2,
+           garbd3,
            percona-galera-3,
            percona-galera-4,
            percona-xtradb-cluster-galera,
@@ -40,8 +42,8 @@
 Description: Replication framework for transactional applications
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
- about wsrep API see https://launchpad.net/wsrep. For a description of Galera
- replication engine see http://galeracluster.com.
+ about wsrep API see https://github.com/codership/wsrep-API. For a description
+ of Galera replication engine see http://galeracluster.com.
  .
  This package contains the Galera library/plugin.
 
@@ -61,7 +63,7 @@
 Description: Galera arbitrator daemon
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
- about wsrep API see http://launchpad.net/wsrep. For a description of Galera
- replication engine see http://galeracluster.com.
+ about wsrep API see https://github.com/codership/wsrep-API. For a description
+ of Galera replication engine see http://galeracluster.com.
  .
  This package contains the Galera arbitrator daemon (garbd).
