## galera-4 26.4.8

=== SConstruct ===
--- 
+++ 
@@ -69,9 +69,11 @@
     build_dir=dir       build directory, default: '.'
     boost=[0|1]         disable or enable boost libraries
     system_asio=[0|1]   use system asio library, if available
+    asio_path=path      path to asio headers
     boost_pool=[0|1]    use or not use boost pool allocator
     revno=XXXX          source code revision number
     bpostatic=path      a path to static libboost_program_options.a
+    ssl=[0|1]           build without/with SSL enabled
     static_ssl=path     a path to static SSL libraries
     extra_sysroot=path  a path to extra development environment (Fink, Homebrew, MacPorts, MinGW)
     bits=[32bit|64bit]
@@ -149,17 +151,19 @@
 boost      = int(ARGUMENTS.get('boost', 1))
 boost_pool = int(ARGUMENTS.get('boost_pool', 0))
 system_asio= int(ARGUMENTS.get('system_asio', 1))
+asio_path  = ARGUMENTS.get('asio_path')
 tests      = int(ARGUMENTS.get('tests', 1))
 # Run only tests which are known to be deterministic
 deterministic_tests = int(ARGUMENTS.get('deterministic_tests', 0))
 # Run all tests
 all_tests = int(ARGUMENTS.get('all_tests', 0))
 strict_build_flags = int(ARGUMENTS.get('strict_build_flags', 0))
+have_ssl = int(ARGUMENTS.get('ssl', 1))
 static_ssl = ARGUMENTS.get('static_ssl', None)
 install = ARGUMENTS.get('install', None)
 version_script = int(ARGUMENTS.get('version_script', 1))
 
-GALERA_VER = ARGUMENTS.get('version', '4.7')
+GALERA_VER = ARGUMENTS.get('version', '4.8')
 GALERA_REV = ARGUMENTS.get('revno', 'XXXX')
 
 # Attempt to read from file if not given
@@ -278,7 +282,7 @@
     env.Append(LINKFLAGS = ' -fsanitize=address')
 
 if gcov:
-    env.Append(LINKFLAGS = '--coverage -g')
+    env.Append(LINKFLAGS = ' --coverage -g')
 
 #
 # Check required headers and libraries (autoconf functionality)
@@ -367,10 +371,3 @@
     return result
 
 def CheckWeffcpp(context):
-    # Some compilers (gcc <= 4.8 at least) produce a bogus warning for the code
-    # below when -Weffc++ is used.
-    test_source = """
-class A {};
-class B : public A {};
-int main() { return 0; }
-"""
